<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Customer Group Catalog for Magento 2
 */

namespace Amasty\Groupcat\Plugin\Elasticsearch\Model\Adapter\Index\Builder;

use Magento\Elasticsearch\Model\Adapter\Index\Builder;

class IncreaseMaxTermsCount
{
    public const MAX_TERMS_COUNT = 1000000;

    public function afterBuild(Builder $subject, array $result): array
    {
        $result['index.max_terms_count'] = self::MAX_TERMS_COUNT;

        return $result;
    }
}
